- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes

# QUuid Struct Reference

Search for all occurrences

## Detailed Description

Definition at line 67 of file quuid.h.

`#include <quuid.h>`

List of all members.

## Public Types
enum | Variant { VarUnknown = -1, NCS = 0, DCE = 2, Microsoft = 6, Reserved = 7 }
enum | Version { VerUnknown = -1, Time = 1, EmbeddedPOSIX = 2, Name = 3, Random = 4 }
## Public Member Functions
| QUuid ()
| QUuid (uint l, ushort w1, ushort w2, uchar b1, uchar b2, uchar b3, uchar b4, uchar b5, uchar b6, uchar b7, uchar b8)
| QUuid (const QString &)
| QUuid (const char *)
QString | toString () const
| operator QString () const
bool | isNull () const
bool | operator== (const QUuid &orig) const
bool | operator!= (const QUuid &orig) const
bool | operator< (const QUuid &other) const
bool | operator> (const QUuid &other) const
QUuid::Variant | variant () const
QUuid::Version | version () const
## Static Public Member Functions
static QUuid | createUuid ()
## Public Attributes
uint | data1
ushort | data2
ushort | data3
uchar | data4 [8]

## Member Enumeration Documentation

enum Variant

Search for all occurrences

Enumerator:

  VarUnknown | Search for all occurrences
  NCS | Search for all occurrences
  DCE | Search for all occurrences
  Microsoft | Search for all occurrences
  Reserved | Search for all occurrences

Definition at line 69 of file quuid.h.

                     {
            VarUnknown        =-1,
            NCS                = 0, // 0 - -
            DCE                = 2, // 1 0 -
            Microsoft        = 6, // 1 1 0
            Reserved        = 7  // 1 1 1
        };

enum Version

Search for all occurrences

Enumerator:

  VerUnknown | Search for all occurrences
  Time | Search for all occurrences
  EmbeddedPOSIX | Search for all occurrences
  Name | Search for all occurrences
  Random | Search for all occurrences

Definition at line 77 of file quuid.h.

                     {
            VerUnknown        =-1,
            Time                = 1, // 0 0 0 1
            EmbeddedPOSIX        = 2, // 0 0 1 0
            Name                = 3, // 0 0 1 1
            Random                = 4  // 0 1 0 0
        };

## Constructor & Destructor Documentation

QUuid | ( |  | ) | `[inline]`

Definition at line 85 of file quuid.h.

        {
            data1 = 0;
            data2 = 0;
            data3 = 0;
            for(int i = 0; i < 8; i++)
                data4[i] = 0;
        }

QUuid | ( | uint | l,
|  | ushort | w1,
|  | ushort | w2,
|  | uchar | b1,
|  | uchar | b2,
|  | uchar | b3,
|  | uchar | b4,
|  | uchar | b5,
|  | uchar | b6,
|  | uchar | b7,
|  | uchar | b8
| ) |  | `[inline]`

Definition at line 93 of file quuid.h.

        {
            data1 = l;
            data2 = w1;
            data3 = w2;
            data4[0] = b1;
            data4[1] = b2;
            data4[2] = b3;
            data4[3] = b4;
            data4[4] = b5;
            data4[5] = b6;
            data4[6] = b7;
            data4[7] = b8;
        }

QUuid | ( | const QString & |  | ) |

QUuid | ( | const char * |  | ) |

## Member Function Documentation

QString toString | ( |  | ) | const

Search for all occurrences

operator QString | ( | void |  | ) | const `[inline]`

Definition at line 111 of file quuid.h.

    { return toString(); }

bool isNull | ( |  | ) | const

Search for all occurrences

bool operator== | ( | const QUuid & | orig | ) | const `[inline]`

Definition at line 115 of file quuid.h.

        {
            uint i;
            if (data1 != orig.data1 || data2 != orig.data2 ||
                 data3 != orig.data3)
                return false;

            for(i = 0; i < 8; i++)
                if (data4[i] != orig.data4[i])
                    return false;

            return true;
        }

bool operator!= | ( | const QUuid & | orig | ) | const `[inline]`

Definition at line 129 of file quuid.h.

        {
            return !(*this == orig);
        }

bool operator< | ( | const QUuid & | other | ) | const

bool operator> | ( | const QUuid & | other | ) | const

static QUuid createUuid | ( |  | ) | `[static]`

Search for all occurrences

QUuid::Variant variant | ( |  | ) | const

Search for all occurrences

QUuid::Version version | ( |  | ) | const

Search for all occurrences

## Member Data Documentation

uint data1

Search for all occurrences

Definition at line 175 of file quuid.h.

ushort data2

Search for all occurrences

Definition at line 176 of file quuid.h.

ushort data3

Search for all occurrences

Definition at line 177 of file quuid.h.

uchar data4[8]

Search for all occurrences

Definition at line 178 of file quuid.h.

The documentation for this struct was generated from the following file:

- QtCore/quuid.h